import type { RevocationCallback } from '../interfaces/accounts';
import type { DecodedGoogleUser } from "./types";
/**
 * Helper method for [google.accounts.id.revoke](https://developers.google.com/identity/gsi/web/reference/js-reference#google.accounts.id.revoke)
 *
 * @param {string} hint - The email address or unique ID of the user's Google Account. The ID is the sub property of the credential payload.
 * @param {RevocationCallback} [callback] - Optional callback
 * @export
 * @param {type} params
 */
export declare function idRevoke(hint: string, callback?: RevocationCallback): void;
/**
 * Decode the credential token retrieved from the GoogleSignIn onSuccess response into a usable Object
 *
 * @param {string} credential
 * @returns {DecodedGoogleUser}
 */
export declare function decodeCredential(credential: string): DecodedGoogleUser;
